org.apache.fop.apps

## Interface FopFactoryConfig

All Known Implementing Classes:
  FopFactoryBuilder.FopFactoryConfigImpl

    public interface FopFactoryConfig

The configuration data for a `FopFactory` instance.

### Field Summary

Fields
`static boolean` `DEFAULT_BREAK_INDENT_INHERITANCE` Defines if FOP should use an alternative rule to determine text indents
`static String` `DEFAULT_PAGE_HEIGHT` Defines the default page-height
`static String` `DEFAULT_PAGE_WIDTH` Defines the default page-width
`static float` `DEFAULT_SOURCE_RESOLUTION` Defines the default source resolution (72dpi) for FOP
`static boolean` `DEFAULT_STRICT_FO_VALIDATION` Defines if FOP should use strict validation for FO and user config
`static boolean` `DEFAULT_STRICT_USERCONFIG_VALIDATION` Defines if FOP should validate the user config strictly
`static float` `DEFAULT_TARGET_RESOLUTION` Defines the default target resolution (72dpi) for FOP

### Method Summary

All Methods Instance Methods Abstract Methods
`URI` `getBaseURI()` The base URI from which URIs are resolved against.
`org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.FallbackResolver` `getFallbackResolver()` Controls the mechanisms that are used in the event that `Source` used for resources couldn't be read.
`FontManager` `getFontManager()` Returns the font manager.
`Map<String,String>` `getHyphenationPatternNames()`
`InternalResourceResolver` `getHyphenationResourceResolver()`
`Set<String>` `getIgnoredNamespaces()`
`org.apache.xmlgraphics.image.loader.ImageManager` `getImageManager()` Returns the image manager.
`LayoutManagerMaker` `getLayoutManagerMakerOverride()` Returns the overriding LayoutManagerMaker instance, if any.
`String` `getPageHeight()` Gets the default page-height to use as fallback, in case page-height="auto"
`String` `getPageWidth()` Gets the default page-width to use as fallback, in case page-width="auto"
`org.apache.xmlgraphics.io.ResourceResolver` `getResourceResolver()` The URI resolver used through-out FOP for controlling all file access.
`float` `getSourceResolution()`
`float` `getTargetResolution()`
`Configuration` `getUserConfig()` Returns the Avalon `Configuration` object.
`boolean` `isAccessibilityEnabled()` Whether accessibility features are switched on.
`boolean` `isBreakIndentInheritanceOnReferenceAreaBoundary()`
`boolean` `isComplexScriptFeaturesEnabled()`
`boolean` `isKeepEmptyTags()`
`boolean` `isLegacyFoWrapper()`
`boolean` `isLegacyLastPageChangeIPD()`
`boolean` `isLegacySkipPagePositionOnly()`
`boolean` `isNamespaceIgnored(String namespace)` Indicates whether a namespace URI is on the ignored list.
`boolean` `isSimpleLineBreaking()`
`boolean` `isSkipPagePositionOnlyAllowed()`
`boolean` `isStaticRegionsPerPageForAccessibility()`
`boolean` `isTableBorderOverpaint()`
`boolean` `preferRenderer()`
`boolean` `validateStrictly()` Returns whether FOP is strictly validating input XSL
`boolean` `validateUserConfigStrictly()` Is the user configuration to be validated?

### Field Detail

#### DEFAULT_BREAK_INDENT_INHERITANCE

    static final boolean DEFAULT_BREAK_INDENT_INHERITANCE

Defines if FOP should use an alternative rule to determine text indents

See Also:
  Constant Field Values

#### DEFAULT_STRICT_USERCONFIG_VALIDATION

    static final boolean DEFAULT_STRICT_USERCONFIG_VALIDATION

Defines if FOP should validate the user config strictly

See Also:
  Constant Field Values

#### DEFAULT_STRICT_FO_VALIDATION

    static final boolean DEFAULT_STRICT_FO_VALIDATION

Defines if FOP should use strict validation for FO and user config

See Also:
  Constant Field Values

#### DEFAULT_PAGE_WIDTH

    static final String DEFAULT_PAGE_WIDTH

Defines the default page-width

See Also:
  Constant Field Values

#### DEFAULT_PAGE_HEIGHT

    static final String DEFAULT_PAGE_HEIGHT

Defines the default page-height

See Also:
  Constant Field Values

#### DEFAULT_SOURCE_RESOLUTION

    static final float DEFAULT_SOURCE_RESOLUTION

Defines the default source resolution (72dpi) for FOP

See Also:
  Constant Field Values

#### DEFAULT_TARGET_RESOLUTION

    static final float DEFAULT_TARGET_RESOLUTION

Defines the default target resolution (72dpi) for FOP

See Also:
  Constant Field Values

### Method Detail

#### isAccessibilityEnabled

    boolean isAccessibilityEnabled()

Whether accessibility features are switched on.

Returns:
  true if accessibility features have been requested

#### isStaticRegionsPerPageForAccessibility

    boolean isStaticRegionsPerPageForAccessibility()

#### isKeepEmptyTags

    boolean isKeepEmptyTags()

#### getLayoutManagerMakerOverride

    LayoutManagerMaker getLayoutManagerMakerOverride()

Returns the overriding LayoutManagerMaker instance, if any.

Returns:
  the overriding LayoutManagerMaker or null

#### getResourceResolver

    org.apache.xmlgraphics.io.ResourceResolver getResourceResolver()

The URI resolver used through-out FOP for controlling all file access.

Returns:
  the URI resolver

#### getBaseURI

    URI getBaseURI()

The base URI from which URIs are resolved against.

Returns:
  the base URI

#### validateStrictly

    boolean validateStrictly()

Returns whether FOP is strictly validating input XSL

Returns:
  true of strict validation turned on, false otherwise

#### validateUserConfigStrictly

    boolean validateUserConfigStrictly()

Is the user configuration to be validated?

Returns:
  if the user configuration should be validated

#### isBreakIndentInheritanceOnReferenceAreaBoundary

    boolean isBreakIndentInheritanceOnReferenceAreaBoundary()

Returns:
  true if the indent inheritance should be broken when crossing reference area boundaries (for more info, see the javadoc for the relative member variable)

#### getSourceResolution

    float getSourceResolution()

Returns:
  the resolution for resolution-dependent input

#### getTargetResolution

    float getTargetResolution()

Returns:
  the resolution for resolution-dependent output

#### getPageHeight

    String getPageHeight()

Gets the default page-height to use as fallback, in case page-height="auto"

Returns:
  the page-height, as a String

#### getPageWidth

    String getPageWidth()

Gets the default page-width to use as fallback, in case page-width="auto"

Returns:
  the page-width, as a String

#### getIgnoredNamespaces

    Set<String> getIgnoredNamespaces()

Returns:
  the set of namespaces that are ignored by FOP

#### isNamespaceIgnored

    boolean isNamespaceIgnored(String namespace)

Indicates whether a namespace URI is on the ignored list.

Parameters:
  `namespace` - the namespace URI
Returns:
  true if the namespace is ignored by FOP

#### getUserConfig

    Configuration getUserConfig()

Returns the Avalon `Configuration` object.

Returns:
  the Avalon config object

#### preferRenderer

    boolean preferRenderer()

See Also:
  `RendererFactory.isRendererPreferred()`

#### getFontManager

    FontManager getFontManager()

Returns the font manager.

Returns:
  the font manager

#### getImageManager

    org.apache.xmlgraphics.image.loader.ImageManager getImageManager()

Returns the image manager.

Returns:
  the image manager

#### isComplexScriptFeaturesEnabled

    boolean isComplexScriptFeaturesEnabled()

#### isTableBorderOverpaint

    boolean isTableBorderOverpaint()

#### isSimpleLineBreaking

    boolean isSimpleLineBreaking()

#### isSkipPagePositionOnlyAllowed

    boolean isSkipPagePositionOnlyAllowed()

#### isLegacySkipPagePositionOnly

    boolean isLegacySkipPagePositionOnly()

#### isLegacyLastPageChangeIPD

    boolean isLegacyLastPageChangeIPD()

#### isLegacyFoWrapper

    boolean isLegacyFoWrapper()

#### getHyphenationPatternNames

    Map<String,String> getHyphenationPatternNames()

Returns:
  the hyphenation pattern names

#### getHyphenationResourceResolver

    InternalResourceResolver getHyphenationResourceResolver()

#### getFallbackResolver

    org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.FallbackResolver getFallbackResolver()

Controls the mechanisms that are used in the event that `Source` used for resources couldn't be read.

Returns:
  the fallback resolver